解决java.lang.UnsupportedClassVersionError问题

问题出现背景:在项目中需要将ip转换为地址,于是找到了开源的ip地址查询库ip2Region(地址为:https://gitee.com/lionsoul/ip2region/tree/v1.2.4-release),按照说明,在本机使用java 8b编译打成jar包后,上传到服务器,每想到服务器的jdk版本是1.7,于是报错:

java.lang.UnsupportedClassVersionError: org/lionsoul/ip2region/DbSearcher : Unsupported major.minor version 52.0


于是上google寻找答案,最先在stackoverflow上找到相关答案:(地址为:https://stackoverflow.com/questions/10382929/how-to-fix-java-lang-unsupportedclassversionerror-unsupported-major-minor-versi)


不明所以,没看明白,找到一篇易懂的:如何解决Unsupported major.minor version 52.0问题?


明白,原来是低版本的虚拟机无法运行高版本的虚拟机编译的类;

反过来看上面stackoverflow的答案,就明白了

推荐阅读更多精彩内容